Manifest-Version: 1.0
Bnd-LastModified: 1754080220413
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Asset Display Page Service
Bundle-SymbolicName: com.liferay.asset.display.page.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.43.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.asset.display.page.exception;version="1.0"
 ,com.liferay.asset.display.page.model;version="4.1",com.liferay.asset
 .display.page.portlet;version="7.0",com.liferay.asset.display.page.se
 rvice;version="2.9",com.liferay.asset.display.page.service.persistenc
 e;version="3.2",com.liferay.asset.display.page.upgrade;version="1.0",
 com.liferay.asset.kernel;version="2.1",com.liferay.asset.kernel.model
 ;version="10.0",com.liferay.asset.kernel.service;version="10.0",com.l
 iferay.change.tracking.spi.reference;version="1.0",com.liferay.change
 .tracking.spi.reference.builder;version="1.0",com.liferay.counter.ker
 nel.service;version="2.2",com.liferay.document.library.kernel.model;v
 ersion="8.2",com.liferay.expando.kernel.model;version="6.0",com.lifer
 ay.expando.kernel.util;version="5.0",com.liferay.exportimport.data.ha
 ndler.base;version="1.0",com.liferay.exportimport.kernel.lar;version=
 "5.0",com.liferay.exportimport.kernel.xstream;version="2.0",com.lifer
 ay.exportimport.staged.model.repository;version="1.1",com.liferay.inf
 o.item;version="7.0",com.liferay.info.item.provider;version="4.1",com
 .liferay.info.search;version="2.1",com.liferay.layout.display.page;ve
 rsion="3.2",com.liferay.layout.page.template.model;version="7.0",com.
 liferay.layout.page.template.service;version="6.1",com.liferay.layout
 .seo.template,com.liferay.petra.function;version="1.5",com.liferay.pe
 tra.lang;version="1.3",com.liferay.petra.sql.dsl;version="1.2",com.li
 feray.petra.sql.dsl.expression;version="2.0",com.liferay.petra.sql.ds
 l.query;version="2.0",com.liferay.petra.sql.dsl.query.sort;version="1
 .0",com.liferay.petra.string;version="1.7",com.liferay.portal.aop;ver
 sion="1.0",com.liferay.portal.kernel.bean;version="10.1",com.liferay.
 portal.kernel.change.tracking;version="2.2",com.liferay.portal.kernel
 .configuration;version="7.0",com.liferay.portal.kernel.dao.db;version
 ="14.0",com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.
 portal.kernel.dao.orm;version="12.0",com.liferay.portal.kernel.except
 ion;version="13.3",com.liferay.portal.kernel.feature.flag;version="1.
 0",com.liferay.portal.kernel.json;version="12.1",com.liferay.portal.k
 ernel.log;version="8.0",com.liferay.portal.kernel.model;version="30.4
 ",com.liferay.portal.kernel.model.change.tracking;version="3.0",com.l
 iferay.portal.kernel.model.impl;version="7.4",com.liferay.portal.kern
 el.module.framework.service;version="1.0",com.liferay.portal.kernel.p
 ortlet;version="26.0",com.liferay.portal.kernel.repository.model;vers
 ion="11.2",com.liferay.portal.kernel.search;version="20.2",com.lifera
 y.portal.kernel.security.auth;version="6.1",com.liferay.portal.kernel
 .security.permission;version="7.0",com.liferay.portal.kernel.service;
 version="25.1",com.liferay.portal.kernel.service.change.tracking;vers
 ion="1.0",com.liferay.portal.kernel.service.http;version="1.0",com.li
 feray.portal.kernel.service.persistence;version="22.1",com.liferay.po
 rtal.kernel.service.persistence.change.tracking;version="1.4",com.lif
 eray.portal.kernel.service.persistence.change.tracking.helper;version
 ="1.1",com.liferay.portal.kernel.service.persistence.impl;version="4.
 1",com.liferay.portal.kernel.systemevent;version="6.2",com.liferay.po
 rtal.kernel.transaction;version="8.1",com.liferay.portal.kernel.upgra
 de;version="21.2",com.liferay.portal.kernel.util;version="63.0",com.l
 iferay.portal.kernel.uuid;version="6.2",com.liferay.portal.kernel.xml
 ;version="7.1",com.liferay.portal.upgrade.registry;version="5.0",com.
 liferay.staging;version="2.0",com.liferay.xstream.configurator;versio
 n="2.0",javax.sql
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Asset
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 3.0.1
Liferay-Service: true
Private-Package: com.liferay.asset.display.page.internal.change.tracki
 ng.spi.reference,com.liferay.asset.display.page.internal.exportimport
 .data.handler,com.liferay.asset.display.page.internal.exportimport.st
 aged.model.repository,com.liferay.asset.display.page.internal.model.l
 istener,com.liferay.asset.display.page.internal.portlet,com.liferay.a
 sset.display.page.internal.upgrade.registry,com.liferay.asset.display
 .page.internal.upgrade.v2_0_0.util,com.liferay.asset.display.page.int
 ernal.upgrade.v2_1_0,com.liferay.asset.display.page.internal.upgrade.
 v2_1_1,com.liferay.asset.display.page.internal.upgrade.v2_2_1,com.lif
 eray.asset.display.page.internal.upgrade.v2_2_2,com.liferay.asset.dis
 play.page.internal.upgrade.v2_3_2,com.liferay.asset.display.page.inte
 rnal.upgrade.v3_0_0,com.liferay.asset.display.page.internal.xstream.c
 onfigurator,com.liferay.asset.display.page.model.impl,com.liferay.ass
 et.display.page.service.base,com.liferay.asset.display.page.service.h
 ttp,com.liferay.asset.display.page.service.impl,com.liferay.asset.dis
 play.page.service.persistence.impl,com.liferay.asset.display.page.ser
 vice.persistence.impl.constants
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .asset.display.page.service.persistence.AssetDisplayPageEntryPersiste
 nce";uses:="com.liferay.asset.display.page.service.persistence",osgi.
 service;objectClass:List<String>="com.liferay.change.tracking.spi.ref
 erence.TableReferenceDefinition";uses:="com.liferay.change.tracking.s
 pi.reference",osgi.service;objectClass:List<String>="com.liferay.expo
 rtimport.kernel.lar.StagedModelDataHandler";uses:="com.liferay.export
 import.kernel.lar",osgi.service;objectClass:List<String>="com.liferay
 .exportimport.staged.model.repository.StagedModelRepository";uses:="c
 om.liferay.exportimport.staged.model.repository",osgi.service;objectC
 lass:List<String>="com.liferay.portal.aop.AopService";uses:="com.life
 ray.portal.aop",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.kernel.dao.orm.ArgumentsResolver";uses:="com.liferay.portal.kern
 el.dao.orm",osgi.service;objectClass:List<String>="com.liferay.portal
 .kernel.model.ModelListener";uses:="com.liferay.portal.kernel.model",
 osgi.service;objectClass:List<String>="com.liferay.portal.kernel.port
 let.FriendlyURLResolver";uses:="com.liferay.portal.kernel.portlet",os
 gi.service;objectClass:List<String>="com.liferay.portal.upgrade.regis
 try.UpgradeStepRegistrator";uses:="com.liferay.portal.upgrade.registr
 y",osgi.service;objectClass:List<String>="com.liferay.xstream.configu
 rator.XStreamConfigurator";uses:="com.liferay.xstream.configurator",o
 sgi.service;objectClass:List<String>="com.liferay.asset.display.page.
 service.AssetDisplayPageEntryLocalService",osgi.service;objectClass:L
 ist<String>="com.liferay.asset.display.page.service.AssetDisplayPageE
 ntryService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.display.page.service.AssetDisplayPageEntryLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.asset.display
 .page.service.persistence.AssetDisplayPageEntryPersistence)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.asset.kernel
 .service.AssetEntryLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.asset.kernel.service.AssetEntryService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.co
 unter.kernel.service.CounterLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.exportimport.staged.model.repo
 sitory.StagedModelRepository)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.exportimport.staged.model.repository.Stage
 dModelRepositoryHelper)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.info.item.InfoItemServiceRegistry)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.info.search.Info
 SearchClassMapperRegistry)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.layout.display.page.LayoutDisplayPageProvider
 Registry)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.layout.page.template.service.LayoutPageTemplateEntryLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .layout.page.template.service.LayoutPageTemplateEntryService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.seo
 .template.LayoutSEOTemplateProcessor)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.configuration.Config
 uration)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.dao.orm.EntityCache)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.FinderCac
 he)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.dao.orm.SessionFactory)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.ClassNameLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.LayoutLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .ResourceLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.UserLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.service.persistence.change.tracking.helper.CTPersistenceHelper)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.util.Portal)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.uuid.PortalUUID)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.staging.StagingGroupHel
 per)";effective:=active,osgi.service;filter:="(objectClass=javax.sql.
 DataSource)";effective:=active,osgi.extender;filter:="(&(osgi.extende
 r=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.ee;filter
 :="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.asset.display.page.internal.ch
 ange.tracking.spi.reference.AssetDisplayPageEntryTableReferenceDefini
 tion.xml,OSGI-INF/com.liferay.asset.display.page.internal.exportimpor
 t.data.handler.AssetDisplayPageStagedModelDataHandler.xml,OSGI-INF/co
 m.liferay.asset.display.page.internal.exportimport.staged.model.repos
 itory.AssetDisplayPageStagedModelRepository.xml,OSGI-INF/com.liferay.
 asset.display.page.internal.model.listener.AssetEntryModelListener.xm
 l,OSGI-INF/com.liferay.asset.display.page.internal.model.listener.DLF
 ileEntryModelListener.xml,OSGI-INF/com.liferay.asset.display.page.int
 ernal.portlet.CustomAssetDisplayPageFriendlyURLResolver.xml,OSGI-INF/
 com.liferay.asset.display.page.internal.upgrade.registry.AssetDisplay
 PageServiceUpgradeStepRegistrator.xml,OSGI-INF/com.liferay.asset.disp
 lay.page.internal.xstream.configurator.AssetDisplayPageXStreamConfigu
 rator.xml,OSGI-INF/com.liferay.asset.display.page.service.impl.AssetD
 isplayPageEntryLocalServiceImpl.xml,OSGI-INF/com.liferay.asset.displa
 y.page.service.impl.AssetDisplayPageEntryServiceImpl.xml,OSGI-INF/com
 .liferay.asset.display.page.service.persistence.impl.AssetDisplayPage
 EntryModelArgumentsResolver.xml,OSGI-INF/com.liferay.asset.display.pa
 ge.service.persistence.impl.AssetDisplayPageEntryPersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

